// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.kafka.databalancing;

import io.confluent.kafka.databalancing.metric.Metrics;
import io.confluent.kafka.databalancing.topology.Broker;
import io.confluent.kafka.databalancing.topology.ReplicaAssignment;
import kafka.admin.BrokerMetadata;
import org.apache.kafka.common.TopicPartition;

import java.util.List;
import java.util.Map;

public interface RebalancePolicy {
    ReplicaAssignment rebalancePartitions(List<BrokerMetadata> brokers,
                                          ReplicaAssignment currentAssignment,
                                          Map<String, Integer> replicationFactors,
                                          Metrics metrics,
                                          List<Broker> brokersToRemove);
}
