// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.kafka.databalancing.fairness;

import io.confluent.kafka.databalancing.RebalanceContext;
import io.confluent.kafka.databalancing.topology.Broker;

import java.util.Map;

/**
 * Class describes the concept of replica fairness by returning above/below par racks and brokers.
 *
 * @see Fairness
 */
public abstract class ReplicaFairness extends BaseFairness {

    protected ReplicaFairness(RebalanceContext context, String rack, String topic) {
        super(context, rack, topic);
    }

}
