// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.errors;

/**
 * Exception used to indicate that an monitoring message with shutdown flag was already seen for the same
 * client, topic, partition, session.
 */
public class AlreadyShutdownException extends RuntimeException {

  public AlreadyShutdownException(String message) {
    super(message);
  }

}
