// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.errors;

/**
 * Thrown when application is missing a required resource (e.g. it's static content)
 */
public class MissingResourceException extends RuntimeException {

  public MissingResourceException(String message) {
    super(message);
  }

  public MissingResourceException(String message, Throwable cause) {
    super(message, cause);
  }

}