// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.rest.res;

import java.util.Objects;

@JsonStandard
public class KafkaClusterDisplay {
  public final String clusterId;
  public final String displayName;

  public KafkaClusterDisplay(String clusterId, String displayName) {
    this.clusterId = clusterId;
    this.displayName = displayName;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) return true;
    if (o == null || getClass() != o.getClass()) return false;
    KafkaClusterDisplay that = (KafkaClusterDisplay) o;
    return Objects.equals(clusterId, that.clusterId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(clusterId);
  }
}
