// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.serialization;

import org.apache.kafka.common.serialization.Deserializer;
import org.apache.kafka.common.serialization.Serde;
import org.apache.kafka.common.serialization.Serializer;

import java.util.Map;

import io.confluent.monitoring.record.Monitoring;
import io.confluent.serializers.ProtoSerde;

public class MonitoringMessageSerde implements Serde<Monitoring.MonitoringMessage> {

  private static final ProtoSerde<Monitoring.MonitoringMessage> parser = new ProtoSerde<>(Monitoring.MonitoringMessage.getDefaultInstance()); //TODO: inject this

  @Override
  public Serializer<Monitoring.MonitoringMessage> serializer() {
    return parser;
  }

  @Override
  public Deserializer<Monitoring.MonitoringMessage> deserializer() {
    return parser;
  }

  @Override
  public void configure(Map<String, ?> configs, boolean isKey) {
  }

  @Override
  public void close() {}
}
