// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.util;

import kafka.utils.ZkUtils;
import org.apache.kafka.common.security.JaasUtils;

public class DefaultZKUtilsFactory implements ZKUtilsFactory {
  public ZkUtils create(String zookeeperConnect) {
    return ZkUtils.apply(
        zookeeperConnect, 30000, 7000,
        JaasUtils.isZkSecurityEnabled()
    );
  }
}
