// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import 'babel-polyfill';
import { configure } from '@kadira/storybook';

function loadStories() {
  // Base styles
  require('../src/styles/global.css');
  require('../src/styles/react-virtualized.less');

  // Components
  require('../stories/BigDataTable');
  require('../stories/Button');
  require('../stories/Dropdown');
  require('../stories/Pillbox');
}

configure(loadStories, module);
