// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
require('babel-register');

const {
  loaders,
  baseWebpackConfig
} = require('../webpack.config');

baseWebpackConfig.module.loaders = [
  Object.assign({}, loaders.less, {
    loaders: ['style'].concat(loaders.less.loaders)
  }),
  Object.assign({}, loaders.css, {
    loaders: ['style'].concat(loaders.css.loaders)
  }),
  loaders.json,
  loaders.images,
  loaders.svgs,
  loaders.fonts
];

module.exports = baseWebpackConfig;
