// (Copyright) [2016 - 2016] Confluent, Inc.

module.exports = {
  description() {
    return 'Generates a higher order component with a test file';
  },
  locals(options) {
    return {
      name: options.entity.name,
      flowDeclaration: '@flow',
      hocPath: options.settings.getSetting('hocPath')
    };
  },
  fileMapTokens() {
    return {
      __hoc__: options => options.settings.getSetting('hocPath')
    };
  }
};
