// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.

import type { Action } from 'types';
import { makeAction } from '../util';

export const INCREMENT_CONNECTION_COUNT = 'INCREMENT_CONNECTION_COUNT';
export type IncrementConnectionCountAction = Action<'INCREMENT_CONNECTION_COUNT', null>;
export const incrementConnectionCount = (): IncrementConnectionCountAction => makeAction(INCREMENT_CONNECTION_COUNT, null);

export const DECREMENT_CONNECTION_COUNT = 'DECREMENT_CONNECTION_COUNT';
export type DecrementConnectionCountAction = Action<'DECREMENT_CONNECTION_COUNT', null>;
export const decrementConnectionCount = (): DecrementConnectionCountAction => makeAction(DECREMENT_CONNECTION_COUNT, null);

export const DISALLOW_DATA_FETCH = 'DISALLOW_DATA_FETCH';
export type DisallowDataFetchAction = Action<'DISALLOW_DATA_FETCH', null>;
export const disallowDataFetch = (): DisallowDataFetchAction => makeAction(DISALLOW_DATA_FETCH, null);

export const ALLOW_DATA_FETCH = 'ALLOW_DATA_FETCH';
export type AllowDataFetchAction = Action<'ALLOW_DATA_FETCH', null>;
export const allowDataFetch = (): AllowDataFetchAction => makeAction(ALLOW_DATA_FETCH, null);
