// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import { SubNavigation } from 'components/navigation';


import {
  RESTAPI_INDEX_PATHNAME
} from 'constants/alerts';


export class IntegrationSubNav extends Component {
  render() {
    return (
      <SubNavigation
        links={[
          {
            label: 'REST API',
            location: { pathname: RESTAPI_INDEX_PATHNAME }
          }
        ]}
        padded={true}
      />
    );
  }
}

export default IntegrationSubNav;
