// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import { Link } from 'react-router';

import addIcon from 'static/icons/add.svg';
import { ButtonSecondaryMedium } from 'components/button';

import { NEW_TRIGGER_PATHNAME } from 'constants/alerts';


export class TriggersTopLinks extends Component {
  props: {};

  render() {
    return (
      <Link to={NEW_TRIGGER_PATHNAME}>
        <ButtonSecondaryMedium text="New trigger" icon={addIcon} />
      </Link>
    );
  }
}

export default TriggersTopLinks;
