// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import { SubNavigation } from 'components/navigation';

import {
  SINKS_INDEX_PATHNAME,
  SOURCES_INDEX_PATHNAME
} from 'constants/management';


export class ManagementSubNav extends Component {
  render() {
    return (
      <SubNavigation
        links={[
          {
            label: 'Sources',
            location: { pathname: SOURCES_INDEX_PATHNAME }
          },
          {
            label: 'Sinks',
            location: { pathname: SINKS_INDEX_PATHNAME }
          }
        ]}
        padded={true}
      />
    );
  }
}

export default ManagementSubNav;
