// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import PopoverMenu from 'components/PopoverMenu';

import type { MenuItem } from 'types';

export class CellContextMenu extends Component {
  props: {
    menuItems: Array<MenuItem>
  };

  static defaultProps = {
    menuItems: []
  };

  render() {
    return (
      <PopoverMenu
        hasIcons={true}
        menuItems={this.props.menuItems}
        preferPlace="right"
      >
        {'•••'}
      </PopoverMenu>
    );
  }
}

export default CellContextMenu;
