// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import styles from './CellOverflowHidden.css';

import type { CellRenderer } from 'types/flex-table';

// eslint-disable-next-line object-curly-spacing
export const CellOverflowHidden = ({ cellData }: $Shape<CellRenderer>) => (
  <div className={styles['overflow-ellipsis']}>
    {cellData}
  </div>
);

export default CellOverflowHidden;
