// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { storiesOf, action } from '@kadira/storybook';

import { ButtonPrimaryLarge } from 'components/button';

storiesOf('ButtonPrimaryLarge', module)
  .add('with text', () => (
    <ButtonPrimaryLarge
      text="My First Button"
      buttonProps={{
        onClick: action('click')
      }}
    />
  ))
  .add('with no text', () => (
    <ButtonPrimaryLarge />
  ));
