// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';
import { AggregateStats } from 'components/aggregate-stats/AggregateStats';
import styles from 'components/aggregate-stats/AggregateStats.css';
import { MonitoringDataTypes } from 'types/monitoring';


describe('<AggregateStats />', () => {
  it('renders', () => {
    const aggStats = [MonitoringDataTypes.DELIVERY, MonitoringDataTypes.LATENCY];

    const wrapper = shallow(<AggregateStats aggStats={aggStats} />);
    expect(wrapper.find({ className: styles['aggregate-stats-root'] })).to.be.present();
  });
});
