// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';
import { Breadcrumbs } from 'components/header/Breadcrumbs';
import styles from 'components/header/Breadcrumbs.css';

describe('<Breadcrumbs />', () => {
  it('simple', () => {
    const props = {
      elements: [],
      consumerGroups: undefined
    };
    const wrapper = shallow(<Breadcrumbs {...props} />);
    expect(wrapper.find({ className: styles.crumbs })).to.be.present();
  });
});
