// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';

import { CellActivity } from 'components/table/CellActivity';
import styles from 'components/table/CellActivity.css';

describe('<CellActivity />', () => {
  it('renders on status dot', () => {
    const wrapper = shallow(
      <CellActivity cellData="RUNNING" />
    );
    expect(wrapper.find({ className: styles['activity-dot-on'] })).to.be.present();
  });

  it('renders off status dot', () => {
    const wrapper = shallow(
      <CellActivity cellData="PAUSED" />
    );
    expect(wrapper.find({ className: styles['activity-dot-off'] })).to.be.present();
  });
});
