// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';
import { Tooltip } from 'components/tooltip';

describe('<Tooltip />', () => {
  it('renders', () => {
    const wrapper = shallow(
      <Tooltip tipBody={(<div>Tooltip content goes here</div>)}>
        I have a tooltip on hover
      </Tooltip>
    );
    expect(wrapper).to.be.present();
  });
});
