// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import { slotWidthFormatter } from 'utils/monitoring';

describe('utils', () => {
  it('slotWidthFormatter', () => {
    expect(slotWidthFormatter(15)).to.eql('15 ms');
    expect(slotWidthFormatter(15000)).to.eql('15 sec');
    expect(slotWidthFormatter(15500)).to.eql('15.5 sec');
    expect(slotWidthFormatter(15005)).to.eql('15 sec');
    expect(slotWidthFormatter(60000)).to.eql('1 min');
    expect(slotWidthFormatter(90000)).to.eql('1.5 min');
    expect(slotWidthFormatter(3600000)).to.eql('1 hr');
    expect(slotWidthFormatter(5400000)).to.eql('1.5 hr');
    expect(slotWidthFormatter(7200000)).to.eql('2 hr');
  });
});
