Confluent Metrics Reporter
==========================

## Quickstat ##
To test out the metrics reporter locally, try the following steps.

1. Build a jar (the jar includes all needed dependencies)
    ``` mvn package ``` 
2. Copy the jar to Kafka dependency directory (e.g., core/build/dependant-libs-2.10.6/).
3. Add the following properties to config/server.properties in Kafka.
    ``` metric.reporters=io.confluent.metrics.reporter.ConfluentMetricsReporter ```
    ``` confluent.metrics.reporter.bootstrap.servers=localhost:9092 ```
    ``` confluent.metrics.reporter.zookeeper.connect=localhost:2181 ```
    ``` confluent.metrics.reporter.topic.replicas=1 ```
4. Start the broker. Metrics should be published to topic _confluent-metrics.
5. Run console consumer to read the metrics back.
    ``` bin/kafka-console-consumer.sh --from-beginning --topic _confluent-metrics --bootstrap-server localhost:9092 --formatter io.confluent.metrics.reporter.ConfluentMetricsFormatter --new-consumer ```
