package io.confluent.kafka.databalancing.throttle;

import kafka.admin.AdminUtilities;
import kafka.admin.AdminUtils;
import kafka.utils.ZkUtils;
import scala.collection.Seq;

import java.util.Properties;

class KafkaAdmin implements AdminUtilities {
    @Override
    public void changeTopicConfig(ZkUtils zkUtils, String topic, Properties configs) {
        AdminUtils.changeTopicConfig(zkUtils, topic, configs);
    }

    @Override
    public void changeClientIdConfig(ZkUtils zkUtils, String clientId, Properties configs) {
        AdminUtils.changeClientIdConfig(zkUtils, clientId, configs);
    }

    @Override
    public void changeUserOrUserClientIdConfig(ZkUtils zkUtils, String sanitizedEntityName, Properties configs) {
        AdminUtils.changeUserOrUserClientIdConfig(zkUtils, sanitizedEntityName, configs);
    }

    @Override
    public void changeBrokerConfig(ZkUtils zkUtils, Seq<Object> brokerIds, Properties configs) {
        AdminUtils.changeBrokerConfig(zkUtils, brokerIds, configs);
    }

    @Override
    public Properties fetchEntityConfig(ZkUtils zkUtils, String entityType, String entityName) {
        return AdminUtils.fetchEntityConfig(zkUtils, entityType, entityName);
    }
}
