package io.confluent.controlcenter.rest.res;

import java.util.ArrayList;
import java.util.List;

@JsonStandard
public class KafkaClusterListResponse {
  public final String defaultClusterId;
  public final List<KafkaClusterDisplay> clusters;

  public KafkaClusterListResponse(String defaultClusterId, List<KafkaClusterDisplay> clusters) {
    if (clusters == null) {
      clusters = new ArrayList<>();
    }
    this.defaultClusterId = defaultClusterId;
    this.clusters = clusters;
  }
}
