// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.rest.res;

@JsonStandard
public class Trigger {

  public String clusterId;
  public String guid;
  public String name;
  public String alertSource;
  public String consumerGroupName;
  public String connector;
  public String metricType;
  public String condition;
  public double number;
  public int bufferSeconds;

  // TODO(mhowlett): enum types
  public Trigger(
      String clusterId,
      String guid,
      String name,
      String alertSource,
      String consumerGroupName,
      String connector,
      String metricType,
      String condition,
      double number,
      int bufferSeconds
      // Arry<String> actions
      ) {
    this.clusterId = clusterId;
    this.guid = guid;
    this.name = name;
    this.alertSource = alertSource;
    this.consumerGroupName = consumerGroupName;
    this.connector = connector;
    this.metricType = metricType;
    this.condition = condition;
    this.number = number;
    this.bufferSeconds = bufferSeconds;
  }

}

