// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.streams.cluster;

import io.confluent.controlcenter.record.Controlcenter.Cluster;
import org.apache.kafka.common.utils.Bytes;
import org.apache.kafka.streams.kstream.Aggregator;

public class ClusterAggregator implements Aggregator<Bytes, Cluster, Cluster> {

  @Override
  public Cluster apply(Bytes bytes, Cluster agg, Cluster cluster) {
    return Cluster.newBuilder(agg).mergeFrom(cluster).build();
  }
}
