// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import styles from './ProfilePhoto.css';

export class ProfilePhoto extends Component {
  props: {
   src: string
  };

  render() {
    return (
      <div className={styles['profile-photo-root']}>
        <img
          src={this.props.src}
          alt="confluent"
          className={styles['photo']}
        />
      </div>
    );
  }
}

export default ProfilePhoto;
