// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.

import overviewSubNav from './OverviewSubNav';
import integrationSubNav from './IntegrationSubNav';

import actions from './Actions';
import actionsTopLinks from './ActionsTopLinks';

import triggers from './Triggers';
import triggersTopLinks from './TriggersTopLinks';
import addActions from './AddActions';

import history from './History';

import restAPI from './RestAPI';


export const OverviewSubNav = overviewSubNav;
export const IntegrationSubNav = integrationSubNav;

export const Actions = actions;
export const Triggers = triggers;
export const History = history;
export const AddActions = addActions;

export const RestAPI = restAPI;

export const ActionsTopLinks = actionsTopLinks;
export const TriggersTopLinks = triggersTopLinks;
