// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';

import Legend from './Legend';
import LegendItem from './LegendItem';
import producedIcon from 'static/icons/legend-produced.svg';
import InlineSVG from 'svg-inline-react';


export default function ProducedLegend() {
  return (
    <Legend>
      <LegendItem><InlineSVG src={producedIcon} /> Produced</LegendItem>
    </Legend>
  );
}
