// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { PureComponent } from 'react';

import styles from './Pill.css';

export type PillProps = {
  children?: string
};

class Pill extends PureComponent {
  props: PillProps;

  render() {
    const { children } = this.props;
    return (
      <div title={children} className={styles.root}>
        <span className={styles.inner}>
          {children}
        </span>
      </div>
    );
  }
}

export default Pill;
