// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';

import { PillBox, Pill } from 'components/pills';

export const CellPillRenderer = ({ cellData }: { cellData?: Array<string> }) => (
  cellData && cellData.length > 0 ? (
    <PillBox>
      {cellData.map((label: string) => (
        <Pill key={label}>{label}</Pill>
      ))}
    </PillBox>
  ) : 'None'
);

export default CellPillRenderer;
