// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import styles from './popover.css';
import ReactPopover from 'react-popover';

type PopoverProps = {
  body: any,
  children?: any,
  isOpen: boolean
};

const Popover = (props: PopoverProps) => (
  <ReactPopover
    className={styles.popover}
    {...props}
  >
    <span className={styles.root}>
      {props.children}
    </span>
  </ReactPopover>
);

export default Popover;
