// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { RECEIVE_LICENSE_DATA } from 'actions/license';
import type { Action } from 'types';

export type LicenseState = {
  expiration?: number
};

export default function license(state: ?LicenseState = null, action: Action<*, *>): ?LicenseState {
  switch (action.type) {
    case RECEIVE_LICENSE_DATA:
      return {
        ...state,
        ...action.payload
      };
    default:
      return state;
  }
}
