// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.

export const showLicenseExpiredSelector = (state: any): boolean => {

  // if license information has not been retrieved, don't show expired message.
  if (!state || !state.license) {
    return false;
  }

  if (state.license.expiration == null) {
    return true;
  }

  return state.license.expiration < Date.now();
};

