// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
export type AllClustersResponse = ClusterList;
export type AllClustersListState = ClusterList;
export type Cluster = { clusterId: ClusterId, displayName: string };
export type ClusterId = string | null;
export type ClusterList = Array<Cluster>;
export type ClusterListState = ClusterList;
export type ClusterOption = { label: string, value: ClusterId };
export type ClusterOptions = Array<ClusterOption>;
export type ClusterType = 'CONNECT' | 'MONITORING';
export type ClustersResponse = { clusters: ClusterList, clusterType: ClusterType, defaultClusterId: ClusterId };
export type ClustersState = { list: ClusterListState, selected: SelectedClusterState };
export type SelectedClusterState = ClusterId;
