// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { mount } from 'enzyme';

import { ClusterIndex } from 'components/ClusterIndex/ClusterIndex';
import styles from 'components/ClusterIndex/ClusterIndex.css';

describe('<ClusterIndex />', () => {
  let props;

  beforeEach(() => {
    props = {
      clusters: [],
      loadClusterIndex: sinon.spy()
    };
  });

  it('mounts', () => {
    const wrapper = mount(<ClusterIndex {...props} />);
    expect(wrapper.find({ className: styles['cluster-index-root'] })).to.be.present();
    wrapper.unmount();
  });
});
