// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { mount } from 'enzyme';

import Dropdown from 'components/Dropdown';
import styles from 'components/Dropdown/Dropdown.less';

describe('<Dropdown />', () => {
  let props;

  beforeEach(() => {
    props = {};
  });

  it('mounts', () => {
    const wrapper = mount(<Dropdown {...props} />);
    expect(wrapper.find({ className: styles['dropdown-root'] })).to.be.present();
    wrapper.unmount();
  });
});
