// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';

import { ActionForm } from 'components/form/ActionForm';

import { FormTypes } from 'types/form';


describe('<ActionForm />', () => {
  it('renders', () => {
    const wrapper = shallow(
      <ActionForm
        canSave={true}
        route={{
          routedFormData: {
            formType: FormTypes.NONE,
            fieldSectionsSelector: (): void => {},
            initialChangeValues: [],
            actionBarButtonsSelector: (): void => {},
            formMountedHandler: (): void => {},
            formSubmitHandler: (): void => {}
          }
        }}
        dispatch={(): void => {}}
      />
    );
    expect(wrapper).to.be.present();
  });
});
