// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';

import { ConnectedForm } from 'components/form/ConnectedForm';
import { FormTypes } from 'types/form';


describe('<ConnectedForm />', () => {
  it('renders', () => {
    const wrapper = shallow(
      <ConnectedForm
        fieldSections={[]}
        initialChangeValues={[]}
        change={() => {}}
        formType={FormTypes.NONE}
      />
    );
    expect(wrapper).to.be.present();
  });
});
