// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import React from 'react';
import { shallow } from 'enzyme';

import { AlertSetupPopover } from 'components/monitoring/AlertSetupPopover';


describe('<AlertSetupPopover />', () => {
  it('renders', () => {
    const wrapper = shallow(
      <AlertSetupPopover
        isOpen={false}
        focusedComponent={null}
        focusedConsumerGroup={null}
        focusedChartSlotAggregatedData={null}
        mouseOverTimeSlotQuantized={null}
        pageX={0}
        pageY={0}
        rootElementId={"root"}
        slotWidthMs={1000}
        clusterId={"u2y3gruywehbud"}
        unsetFocusedComponent={() => null}
        alertsPrefillNewTrigger={() => null}
      />
    );
    expect(wrapper).to.be.present();
  });
});
