// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import React from 'react';
import { shallow } from 'enzyme';

import MemberTitle from 'components/monitoring/MemberTitle';

import {
  MemberTitleIconTypes
} from 'types/monitoring';


describe('<MemberTitle />', () => {
  it('renders', () => {
    const wrapper = shallow(
      <MemberTitle
        title={['a great label']}
        titleIconType={MemberTitleIconTypes.PRODUCER}
      />
    );
    expect(wrapper).to.be.present();
  });
});
