// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import React from 'react';
import { shallow } from 'enzyme';

import MemberTitleIcon from 'components/monitoring/MemberTitleIcon';

import {
  MemberTitleIconTypes
} from 'types/monitoring';


describe('<MemberTitleIcon />', () => {
  it('renders', () => {
    const wrapper = shallow(
      <MemberTitleIcon
        type={MemberTitleIconTypes.PRODUCER}
      />
    );
    expect(wrapper).to.be.present();
  });
});
