// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import React from 'react';
import ReactDOM from 'react-dom';
import { renderIntoDocument } from 'react-addons-test-utils';

import { MonitoringBody } from 'components/monitoring/MonitoringBody';

describe('<MonitoringBody />', () => {
  it('renders', () => {
    const component = renderIntoDocument(
      <div>
        <MonitoringBody menuDisabled={false} focusedComponent={null} />
      </div>
    );
    const node = ReactDOM.findDOMNode(component);
    expect(node).to.exist;
  });
});
