// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';

import NavGroup from 'components/navigation/NavGroup';
import styles from 'components/navigation/NavGroup.css';

describe('<NavGroup />', () => {
  it('renders', () => {
    const wrapper = shallow(
      <div className={styles['root']}>
        <NavGroup heading="A heading" prefix="/url" />
      </div>
    );
    expect(wrapper).to.be.present();
  });
});
