// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import React from 'react';
import ReactDOM from 'react-dom';
import { renderIntoDocument } from 'react-addons-test-utils';

import SubNavigation from 'components/navigation/SubNavigation';
import styles from 'components/navigation/SubNavigation.css';


describe('<SubNavigation />', () => {
  it('renders', () => {
    const component = renderIntoDocument(
      <div className={styles['root']}>
        <SubNavigation links={[]} />
      </div>
    );
    const node = ReactDOM.findDOMNode(component);
    expect(node).to.exist;
  });
});
