// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import {
  AlertSources,
  MetricTypes,
  ConditionTypes
} from 'types/alerts';


export const MockAlertSummary = {
  guid: '1fbef9aa-6969-43f4-bdf4-ac4eaef85e58',
  timestamp: Date.now() - 1000*60*10,
  value: 99,
  monitoringTrigger: {
    guid: '4696936a-5030-be09-be09-2c9000f3c2ea',
    name: 'Low message consumption on My Consumer Group',
    group: 'fakeConsumerGroupId',
    alertSource: AlertSources.CONSUMER_GROUP,
    connector: null,
    metric: MetricTypes.CONSUMPTION_DIFF,
    condition: ConditionTypes.GREATER_THAN,
    longValue: 100,
    lagMs: 30000
  },
  actions: [
    {
      guid: '1e8bb3bc-05f8-49e8-9c97-f6cf69697b01',
      name: 'Email dan@confluent.io 4761 times'
    },
    {
      guid: '4696936a-5030-be09-be04-2c3002f3c1ea',
      name: 'Email matt@confluent.io never'
    }
  ],
  triggers: [
    {
      longValue: 3
    }
  ]
};
